package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.BaseAdapter;
import android.widget.TextView;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface ShipmentScannerConstact {
	interface View extends BaseView<Presenter> {
		void changeAddIcon(int resId);
		void changeLastTrayEnabled(boolean enabled);
		void showAnimation(android.view.View mView, boolean opendown);
		void setPackageCount(String packageCountStr);
		void setWeightCount(String weightCountStr);
		void setCurrentShipmentModeStr(String shipmentModeStr);
		android.view.View getShipmentModeGroupView();
		android.view.View getShipmentModeOptionView();
		TextView getShipmentModeView();
		void finishPage(); 
		void readQRCode();
		void setAdapter(BaseAdapter adapter);
		void addCustomDisplayView(android.view.View customView);
		void addHeadView(android.view.View customView);
		void setScannerBtnEnabled(boolean enabled);
		void vibrate(int duration);
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
		void btnScannerClick();
		void onItemClickLinstener(int position);
		void onItemLongClickListener(int position);
		void changeShipmentModeClick();
		void lastTrayClick();
		void addOrSubOptionClick();
	}

}
